Applying JUL OJVM Patch Set Update 11.2.0.4.4 Using Enterprise Manager 12c Cloud Control with Error: ORA-20001: database not open for UPGRADE (Doc ID 2064578.1)

Last updated on AUGUST 12, 2017

Applies to:

Enterprise Manager for Oracle Database - Version 12.1.0.2.0 to 12.1.0.8.0 [Release 12.1]
Enterprise Manager Base Platform - Version 12.1.0.2.0 to 12.1.0.5.0 [Release 12.1]
Information in this document applies to any platform.

Symptoms

Applying OJVM <Patch 21068539> (OJVM Patch Set Update 11.2.0.4.4) using Enterprise Manager 12c Cloud Control fails on 'Apply SQL Script to Database Instance in Normal Mode' step.

Reviewing $RDBMS_HOME/EMStagedPatches/PA_APPLY_SQL_<timestamp>.log shows following messages:

SQL> SET PAGESIZE 10
SQL>
SQL> @?/sqlpatch/21068539/prereqcheck.sql
SQL> SET SERVEROUTPUT ON
SQL> WHENEVER SQLERROR EXIT
SQL> DECLARE
2 openmigrate sys.v$instance.STATUS%TYPE;
3 BEGIN
4 select status into openmigrate from v$instance;
5 IF openmigrate != 'OPEN MIGRATE' then
6 dbms_output.put_line('Ensure database is opened in UPGRADE to apply this patch');
7 dbms_output.new_line;
8 RAISE_APPLICATION_ERROR(-20001,'database not open for UPGRADE');
9 END IF;
10 END;
11 /
Ensure database is opened in UPGRADE to apply this patch
DECLARE
*
ERROR at line 1:
ORA-20001: database not open for UPGRADE
ORA-06512: at line 8

 

Changes

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms